Bug 845607 - RFE: make pulseaudio XDG compliant
Summary: RFE: make pulseaudio XDG compliant
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio   
(Show other bugs)
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-03 14:52 UTC by Cristian Ciupitu
Modified: 2013-10-12 03:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-12 03:09:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cristian Ciupitu 2012-08-03 14:52:26 UTC
Description of problem:
pulseaudio uses ~/.pulse-cookie ~/.pulse for configuration and runtime
files instead of using XDG compliant directories, e.g. $XDG_CONFIG_HOME
and $XDG_RUNTIME_DIR.

Right now, my ~/.pulse directory has the following files:
  169a823173e73b576317c3110000000c-card-database.tdb
  169a823173e73b576317c3110000000c-default-sink
  169a823173e73b576317c3110000000c-default-source
  169a823173e73b576317c3110000000c-device-volumes.tdb
  169a823173e73b576317c3110000000c-runtime
  169a823173e73b576317c3110000000c-stream-volumes.tdb
  equalizerrc
  equalizerrc.availablepresets
  presets

Version-Release number of selected component (if applicable):
pulseaudio-1.1-9.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Use pulseaudio
2. ls -l ~/.pulse

Actual results:

Expected results:

Additional info:

Comment 1 Rex Dieter 2013-05-06 23:06:19 UTC
I'd prefer poking upstream to get this implemented (I'm certainly not going to hack fedora's packages downstream to achieve this).

Comment 2 Fedora End Of Life 2013-07-03 23:58:52 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Cristian Ciupitu 2013-07-04 12:12:39 UTC
It's still happening in Fedora 18 - pulseaudio-2.1-7.fc18.x86_64.

I'm all for reporting this upstream.

Comment 4 Rex Dieter 2013-10-12 03:09:26 UTC
implemented in pulseaudio-4.0 (at least)


Note You need to log in before you can comment on or make changes to this bug.